notasDjango/notasDjango/urls.py
from django.contrib import admin
from django.urls import path,include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('nucleo.urls')),
]

notasDjango/nucleo/urls.py
from django.urls import path

from . import views


app_name = 'nucleo'

#agregamos las direcciones de nuestros template
urlpatterns = [
    path('', views.index, name='index'),
    path('about/', views.about, name='about'),
 
]

notasDjango/nucleo/models.py
from django.db import models

# Create your models here.

notasDjango/nucleo/views.py
from django.shortcuts import render

# Create your views here.
def index(request):
    return render (request,'nucleo/index.html')

#creamos para la direccion "about"
def about(request):
    return render(request,'nucleo/about.html')

notasDjango/nucleo/templates/nucleo/about.html
{% extends 'nucleo/base.html' %}

{% block content %}
    <h1 class="text-3xl">About</h1>

    <div class="mt-6 space-y-6">
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Officiis natus tempore, non in ex beatae eligendi numquam quod alias error nemo optio quidem asperiores molestiae commodi laborum totam similique! Quo.
        </p>

        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Officiis natus tempore, non in ex beatae eligendi numquam quod alias error nemo optio quidem asperiores molestiae commodi laborum totam similique! Quo.
        </p>
    </div>
{% endblock %}

notasDjango/nucleo/templates/nucleo/base.html
<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="./output.css" rel="stylesheet">
  <script src="https://cdn.tailwindcss.com"></script>
</head>
<body>
    <nav class="py-6 px-8 flex items-center justify-between bg-slate-800">
        <h1 class="text-3xl text-white"><a href="{% url 'nucleo:index' %}">NOTAS</a></h1>
        <div class="space-x-4">

            <a href="{% url 'nucleo:about'%}" class="text-white">Acerca de</a>
            <a href="#" class="text-white">CONTACT</a>
            
            <a href="#" class="py-4 px-8 bg-slate-600 text-white">Inicio Sesion</a>
            <a href="#" class="py-4 px-8 bg-sky-600 text-white">Registrarse</a>
        </div>
    </nav>
    <main class="py-8 px-8">
        <h1 class="text-3xl">Acerca de</h1>
        <div class="mt-6 space-y-6">
            <p class="text-rigth">Crear notas es una parte fundamental de la organización personal y profesional. Las notas nos permiten capturar ideas, recordatorios, y pensamientos importantes en cualquier momento y lugar. Ya sea en papel o digitalmente, el proceso de crear notas nos brinda una herramienta invaluable para registrar información relevante, seguir el progreso de proyectos, y mantenernos organizados en nuestra vida diaria. Desde simples listas de tareas hasta detalladas reflexiones, las notas nos proporcionan un medio flexible y adaptable para documentar y compartir nuestro conocimiento y experiencias.</p>
            
        </div>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
    </main>
    
    <footer class="py-8 px-8  bg-slate-800 text-center:""">
        <p class="text-white">Copyright (c)2024 -Code with Karina Simbaña</p>
    </footer>
</body>
</html>

notasDjango/nucleo/templates/nucleo/index.html
<!-- probando <header class="py-12 text-center bg-slate-200">
    <h1 class="text-3xl">Bienvenido a mis Notas</h1>
</header>-->


{% extends 'nucleo/base.html' %}

{% block content %}
    <header class="py-12 text-center bg-slate-200">
        <h1 class="text-3xl">Bienvenido a mis Notas</h1>
    </header>
{% endblock %}

templates/base.html
<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="./output.css" rel="stylesheet">
  <script src="https://cdn.tailwindcss.com"></script>
</head>
<body>
    <nav class="py-6 px-8 flex items-center justify-between bg-slate-800">
        <h1 class="text-3xl text-white">ALINE</h1>
        <div class="space-x-4">

            <a href="#" class="text-white">ABOUT</a>
            <a href="#" class="text-white">CONTACT</a>
            
            <a href="#" class="py-4 px-8 bg-slate-600 text-white">Long in</a>
            <a href="#" class="py-4 px-8 bg-sky-600 text-white">Sign up</a>
        </div>
    </nav>
    <main class="py-8 px-8">
        <h1 class="text-3xl">ABOUT</h1>
        <div class="mt-6 space-y-6">
            <p class="text-rigth">Crear notas es una parte fundamental de la organización personal y profesional. Las notas nos permiten capturar ideas, recordatorios, y pensamientos importantes en cualquier momento y lugar. Ya sea en papel o digitalmente, el proceso de crear notas nos brinda una herramienta invaluable para registrar información relevante, seguir el progreso de proyectos, y mantenernos organizados en nuestra vida diaria. Desde simples listas de tareas hasta detalladas reflexiones, las notas nos proporcionan un medio flexible y adaptable para documentar y compartir nuestro conocimiento y experiencias.</p>
            
        </div>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
        <br>
    </main>
    
    <footer class="py-8 px-8  bg-slate-800 text-center:""">
        <p class="text-white">Copyright (c)2024 -Code with Karina Simbaña</p>
    </footer>
</body>
</html>

templates/list.html
<!doctype html>
<html>
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <script src="https://cdn.tailwindcss.com"></script>
    </head>

    <body>
        <nav class="py-6 px-8 flex items-center justify-between bg-slate-800">
            <h1 class="text-xl text-white">ALINE</h1>

            <div class="space-x-4">
                <a href="#" class="text-white">About</a>

                <a href="#" class="py-4 px-8 bg-slate-600 text-white">Log in</a>
                <a href="#" class="py-4 px-8 bg-sky-600 text-white">Sign up</a>
            </div>
        </nav>

        <main class="py-6 px-8">
            <h1 class="mb-6 text-3xl">Projects</h1>

            <a href="#" class="py-4 px-8 bg-sky-600 text-white inline-block">Add project</a>

            <div class="mt-6 grid grid-cols-4 gap-4">
                <div class="py-6 px-6 bg-slate-200">
                    <h2 class="mb-4 text-xl">Project title</h2>

                    <p class="text-sm text-slate-600">Short project descirpiont. Short project descirpiont. Short project descirpiont.</p>
                </div>

                <div class="py-6 px-6 bg-slate-200">
                    <h2 class="mb-4 text-xl">Project title</h2>

                    <p class="text-sm text-slate-600">Short project descirpiont. Short project descirpiont. Short project descirpiont.</p>
                </div>

                <div class="py-6 px-6 bg-slate-200">
                    <h2 class="mb-4 text-xl">Project title</h2>

                    <p class="text-sm text-slate-600">Short project descirpiont. Short project descirpiont. Short project descirpiont.</p>
                </div>

                <div class="py-6 px-6 bg-slate-200">
                    <h2 class="mb-4 text-xl">Project title</h2>

                    <p class="text-sm text-slate-600">Short project descirpiont. Short project descirpiont. Short project descirpiont.</p>
                </div>
                
                <div class="py-6 px-6 bg-slate-200">
                    <h2 class="mb-4 text-xl">Project title</h2>

                    <p class="text-sm text-slate-600">Short project descirpiont. Short project descirpiont. Short project descirpiont.</p>
                </div>
            </div>
        </main>

        <footer class="py-8 px-8 bg-slate-900 text-center">
            <p class="text-white">Copyright (c) 2023 - Code With Stein</p>
        </footer>
    </body>
</html>

templates/login.html
<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="./output.css" rel="stylesheet">
  <script src="https://cdn.tailwindcss.com"></script>
</head>
<body>
    <nav class="py-6 px-8 flex items-center justify-between bg-slate-800">
        <h1 class="text-3xl text-white">ALINE</h1>
        <div class="space-x-4">

            <a href="#" class="text-white">ABOUT</a>
            <a href="#" class="text-white">CONTACT</a>
            
            <a href="#" class="py-4 px-8 bg-slate-600 text-white">Long in</a>
            <a href="#" class="py-4 px-8 bg-sky-600 text-white">Sign up</a>
        </div>
    </nav>
    <main class="py-6 px-8">
        <div class="max-w-xl mx-auto py-8 bg-slate-800 text-center">
            <h1 class="text-3xl text-white">Log in</h1>    
                <form class="mt-6 px-8 space-x-4">
                    <div>
                        <label class="text-white">E-mail</label><br>
                        <input type="email" class="w-full py-4 px-6 bg-slate-500 text-white">
                    </div>
                    <div>
                        <label class="text-white">Password</label><br>
                        <input type="password" class="w-full py-4 px-6 bg-slate-500 text-white">
                    </div>
                    <br>
                    <div>
                        <button class="py-4 px-8 bg-sky-600 text-white">Log in</button>
                    </div>
                </form>
        </div>

    
        <br>
        <br>
        <br>
        <br>
        
    </main>
    
    <footer class="py-8 px-8  bg-slate-800 text-center:""">
        <p class="text-white">Copyright (c)2024 -Code with Karina Simbaña</p>
    </footer>
</body>
</html>

templates/signup.html
<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="./output.css" rel="stylesheet">
  <script src="https://cdn.tailwindcss.com"></script>
</head>
<body>
    <nav class="py-6 px-8 flex items-center justify-between bg-slate-800">
        <h1 class="text-3xl text-white">ALINE</h1>
        <div class="space-x-4">

            <a href="#" class="text-white">ABOUT</a>
            <a href="#" class="text-white">CONTACT</a>
            
            <a href="#" class="py-4 px-8 bg-slate-600 text-white">Long in</a>
            <a href="#" class="py-4 px-8 bg-sky-600 text-white">Sign up</a>
        </div>
    </nav>
    <main class="py-6 px-8">
        <div class="max-w-xl mx-auto py-8 bg-slate-800 text-center">
            <h1 class="text-3xl text-white">Sign up</h1>    
             <form class="mt-6 px-8 space-x-4">
                <div>
                    <label class="text-white">E-mail</label><br>
                    <input type="email" class="w-full py-4 px-6 bg-slate-500 text-white">                </div>
                <div>
                    <label class="text-white">Password</label><br>
                    <input type="password" class="w-full py-4 px-6 bg-slate-500 text-white">
                </div>
                <div>
                    <label class="text-white">Repeat Password</label><br>
                    <input type="password" class="w-full py-4 px-6 bg-slate-500 text-white">
                </div>
                <br>
                <div>
                    <button class="py-4 px-8 bg-sky-600 text-white">Sign up</button>
                </div>
            </form>
        </div>

    
        <br>
        <br>
        <br>
        <br>
        
    </main>
    
    <footer class="py-8 px-8  bg-slate-800 text-center:""">
        <p class="text-white">Copyright (c)2024 -Code with Karina Simbaña</p>
    </footer>
</body>
</html>